Package org.opensaml.xacml.ctx.impl

# Class MissingAttributeDetailTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.ctx.impl.MissingAttributeDetailTypeImpl

All Implemented Interfaces:
  `XMLObject`, `MissingAttributeDetailType`, `XACMLObject`

public class MissingAttributeDetailTypeImpl extends AbstractXACMLObject implements MissingAttributeDetailType
Concrete implementation of `MissingAttributeDetailType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`attributeId`
ID of the attribute.
`private XMLObjectChildrenList<AttributeValueType>`
`attributeValues`
Lists of the attribute values in details.
`private String`
`dataType`
Data type of the attribute.
`private String`
`issuer`
Issuer of the attribute.

### Fields inherited from interface org.opensaml.xacml.ctx.MissingAttributeDetailType

`ATTRIBUTE_ID_ATTRIB_NAME, DATA_TYPE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ISSUER_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MissingAttributeDetailTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
Gets the ID of the attribute.
`List<AttributeValueType>`
`getAttributeValues()`
Gets the missing attribute values.
`String`
`getDataType()`
Gets the data type of the attribute.
`String`
`getIssuer()`
Gets the issuer of the attribute.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAttributeId(String id)`
Sets the ID of the attribute.
`void`
`setDataType(String type)`
Sets the data type of the attribute.
`void`
`setIssuer(String iss)`
Sets the issuer of the attribute.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### attributeValues

private XMLObjectChildrenList<AttributeValueType> attributeValues
Lists of the attribute values in details.

### attributeId

private String attributeId
ID of the attribute.

### dataType

private String dataType
Data type of the attribute.

### issuer

private String issuer
Issuer of the attribute.

## Constructor Details

### MissingAttributeDetailTypeImpl

protected MissingAttributeDetailTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeId

public String getAttributeId()
Gets the ID of the attribute.

Specified by:
  `getAttributeId` in interface `MissingAttributeDetailType`
Returns:
  ID of the attribute

### getAttributeValues

public List<AttributeValueType> getAttributeValues()
Gets the missing attribute values.

Specified by:
  `getAttributeValues` in interface `MissingAttributeDetailType`
Returns:
  missing attribute values

### getDataType

public String getDataType()
Gets the data type of the attribute.

Specified by:
  `getDataType` in interface `MissingAttributeDetailType`
Returns:
  data type of the attribute

### getIssuer

public String getIssuer()
Gets the issuer of the attribute.

Specified by:
  `getIssuer` in interface `MissingAttributeDetailType`
Returns:
  issuer of the attribute

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### setAttributeId

public void setAttributeId(String id)
Sets the ID of the attribute.

Specified by:
  `setAttributeId` in interface `MissingAttributeDetailType`
Parameters:
  `id` - ID of the attribute

### setDataType

public void setDataType(String type)
Sets the data type of the attribute.

Specified by:
  `setDataType` in interface `MissingAttributeDetailType`
Parameters:
  `type` - data type of the attribute

### setIssuer

public void setIssuer(String iss)
Sets the issuer of the attribute.

Specified by:
  `setIssuer` in interface `MissingAttributeDetailType`
Parameters:
  `iss` - issuer of the attribute